Subject: Re: bug#34936: 27.0.50; duplicated process-environment items in pdumper

From: Shuguang Sun <[email-masked]>
Date: Sat, 23 Mar 2019 11:49:35 +0800

It is fixed. Thanks!

It is why I check the process-environment that I start neovim (nvim-qt) from emacs via call-process or win32-shell, and neovim can't find programs in the PATH environment. It seems the duplicated PATH items in process-environment makes the issue in windows 10 box.

Eli Zaretskii <[email-masked]> writes:

>> From: Shuguang Sun <[email-masked]>
>> Date: Thu, 21 Mar 2019 23:09:07 +0800
>> Feedback-ID: esmtp:qq.com:bgforeign:bgforeign4
>> 
>> I start a personalized pdumper emacs, 
>> emacs.exe --batch -l "~/.emacs.d/var/dumps/dump-init.el" -eval "(dump-emacs-portable \"semacs.pdmp\")"
>> (even with an empty dump-init.el)
>> and there are duplicated items in process-environment:
>
> I don't think re-dumping works well yet, but I see no reason not to
> fix this particular issue.
>
> Please try the latest master, I think I fixed this.
>
>
>
>

-- 
Best Regards
Shuguang Sun